View Issue Details

IDProjectCategoryView StatusLast Update
0000407Kali Linux[All Projects] Tool Upgrade Requestpublic2013-08-16 14:03
Reportercolobos Assigned Tomuts  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.4 
Target Version1.0.4Fixed in Version1.0.5 
Summary0000407: 0trace doesn't work
DescriptionUsage: /usr/share/0trace/0trace.sh iface target_ip [ target_port ]
root@kali:~# /usr/share/0trace/0trace.sh eth0 10.0.0.46
[-] /bin/usleep not found on this system, sorry.

Activities

fpalazzo

2013-06-13 12:29

reporter   ~0000549

I have the same issue on Platform x86.

Usage: /usr/share/0trace/0trace.sh iface target_ip [ target_port ]
root@kali:~# /usr/share/0trace/0trace.sh eth1 192.168.1.2
[-] /bin/usleep not found on this system, sorry.

waspyd

2013-07-08 21:06

reporter   ~0000614

Last edited: 2013-07-08 21:29

View 2 revisions

as written on http://www.aldeid.com/wiki/0trace :

<quote>

create a file usleep.c (e.g. in /tmp/) with following lines:

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
int main (int argc, char **argv) {
usleep(atoi(argv[1]));
return 0;
}

Compile it in /bin:

$ sudo gcc -o /bin/usleep usleep.c

</quote>

it worked fine for me, or, as i once read on backtrack forum, one can edit /usr/share/0trace/0trace.sh script to use `sleep 100` instead of `usleep 100000`

muts

2013-08-10 00:23

reporter   ~0000687

fixed in 0trace_0.01-3

Issue History

Date Modified Username Field Change
2013-06-13 11:14 colobos New Issue
2013-06-13 12:29 fpalazzo Note Added: 0000549
2013-07-08 21:06 waspyd Note Added: 0000614
2013-07-08 21:29 waspyd Note Edited: 0000614 View Revisions
2013-08-10 00:23 muts Note Added: 0000687
2013-08-10 00:23 muts Status new => closed
2013-08-10 00:23 muts Assigned To => muts
2013-08-10 00:23 muts Resolution open => fixed
2013-08-10 00:24 muts Status closed => resolved
2013-08-10 00:24 muts Product Version => 1.0.4
2013-08-10 00:24 muts Fixed in Version => 1.0.4
2013-08-10 00:24 muts Target Version => 1.0.4
2013-08-16 14:03 dookie Fixed in Version 1.0.4 => 1.0.5
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request